<head>
{{/* Load more SCSS. */}}
{{ $options := dict "enableSourceMap" true }}
{{ if hugo.IsProduction}}
{{ $options := dict "enableSourceMap" false "outputStyle" "compressed" }}
{{ end }}
{{ $minutelist_styles := resources.Get "scss/minutelist.scss" | css.Sass $options | resources.Minify }}
{{ if hugo.IsProduction }}
{{ $minutelist_styles = $minutelist_styles | fingerprint }}
{{ end }}
<link href="{{ $minutelist_styles.RelPermalink }}" rel="stylesheet" />
</head>

<div class="spinner-border text-primary" role="status" id="minutesLoadingSpinner">
  <span class="visually-hidden">Loading...</span>
</div>

<div class="alert alert-danger" role="alert" id="minutesLoadingError">
  <h4 class="alert-heading">{{ i18n "minutes-fetch-failed-title" }}</h4>
  <p class="mb-0">{{ i18n "minutes-fetch-failed" }}</p>
</div>


<template id="button-template">
      <button type="button" class="btn btn-secondary"></button>
</template>

<div class="btn-toolbar justify-content-between pb-3" role="toolbar" aria-label="Toolbar with button groups">
  <div id="minutes-button-row" class="btn-group mr-2" role="group" aria-label="First group"></div>
</div>


<div id="accordionMinutes"></div>

<template id="accordion-template">
  <div class="accordion"></div>
</template>

<template id="accordion-item-template">
    <div class="accordion-item">
        <h2 class="accordion-header">
          <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseOne" aria-expanded="false" aria-controls="flush-collapseOne">
            .
          </button>
        </h2>
        <div id="flush-collapseOne" class="accordion-collapse collapse" data-bs-parent="#accordionFlushExample">
          <div class="accordion-body" class="overflow-auto">
              <table id="accordion-table" class="table text-nowrap">
                <th scope="col" class="third-width">{{ i18n "professor" }}</th>
                <th scope="col" class="third-width">{{ i18n "count" }}</th>
                <th scope="col" class="third-width">{{ i18n "type" }}</th>
                <th scope="col" class="third-width">{{ i18n "timespan" }}</th>
              </table>
          </div>
        </div>
    </div>
</template>

{{ $js := resources.Get "ts/app/minutelist.ts" | resources.ExecuteAsTemplate (printf "%s/ts/app/minutelist.ts" $.Site.Language ) . }}
{{ $params := dict }}
{{ $sourceMap := cond hugo.IsProduction "" "inline" }}
{{ $opts := dict "sourceMap" $sourceMap "minify" hugo.IsProduction "target" "es2018" "params" $params }}
{{ $js = $js | js.Build $opts }}
{{ if hugo.IsProduction }}
{{ $js = $js | fingerprint }}
{{ end }}
 <script src="{{ $js.RelPermalink }}" {{ if hugo.IsProduction }}integrity="{{ $js.Data.Integrity }}"{{ end }} defer></script>
